package com.hdkj.lt.mq.service.plan.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hdkj.lt.core.bizms.modle.dto.TransformerNameDTO;
import com.hdkj.lt.core.bizms.modle.po.plan.FhzgPlanAwaitTransferUsers;
import com.hdkj.lt.mq.mapper.plan.PlanAwaitTransferUsersMapper;
import com.hdkj.lt.mq.service.plan.IPlanAwaitTransferUsersService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author wcx
 * @Date 2025/5/24 22:57
 * @Version 1.0
 */
@Service
public class PlanAwaitTransferUsersServiceImpl extends ServiceImpl<PlanAwaitTransferUsersMapper, FhzgPlanAwaitTransferUsers> implements IPlanAwaitTransferUsersService {
    @Override
    public List<String> getTransformerNameByTransformerNo(String transformerNo) {
        List<String> list = this.baseMapper.getTransformerNameByTransformerNo(transformerNo);
        if (list == null || list.isEmpty()) {
            list = this.baseMapper.getTransformerNameListByJoinecId(transformerNo);
        }
        return list;
    }

    @Override
    public Map<String, TransformerNameDTO> getTransformerName() {
        return this.baseMapper.getTransformerName();
    }
}
